/**
 * NotFound
 * when page not found go (redirect) home ("/")
 */
import React from "react";
import { ServerErrorPage, RootPaper } from "@ess-ics/ce-ui-common";

interface NotFoundProps {
  /** String containing message of page not found. Otherwise defaults to a generic "Page Not Found" message */
  message: string;
  status: string;
}

export default function NotFoundView({ message, status }: NotFoundProps) {
  return (
    <RootPaper>
      <ServerErrorPage
        status={status}
        message={message}
        supportHref={window.SUPPORT_URL}
      />
    </RootPaper>
  );
}

NotFoundView.defaultProps = {
  status: "404"
};
